跳转到内容

MediaWiki:ACT.css

来自Deltarune Wiki

注意:在发布之后,您可能需要清除浏览器缓存才能看到所作出的更改的影响。

  • Firefox或Safari:按住Shift的同时单击刷新,或按Ctrl-F5Ctrl-R(Mac为⌘-R
  • Google Chrome:Ctrl-Shift-R(Mac为⌘-Shift-R
  • Edge:按住Ctrl的同时单击刷新,或按Ctrl-F5
.act {
	border: 1px solid var(--border-color-progressive);
	border-radius: 4px;
	margin-block: 1rem;
	padding: 4px;
}

.act-header {
	background-color: var(--background-color-neutral);
	border-radius: 4px;
	display: flex;
	gap: 0 1rem;
	margin-block-end: 4px;
	padding-block: 4px;
	padding-inline: 6px;
}

.act-header > section {
	display: flex;
	gap: 0 1rem;
}

.act-header h3,
.act-header h4,
.act-header h5 {
	font-size: 1rem;
	margin: 0;
	padding-top: 0;
}

.act-header > p,
.act-header > section > p {
	font-style: italic;
	margin: 0;
}

.act-content {
	display: flex;
	gap: 0.5rem;
}

.act-content > div {
	flex-grow: 1;
	padding-inline: 6px;
}

/* stylelint-disable-next-line no-descending-specificity */
.act-content > p {
	margin: 0;
}

@media screen and (max-width: 720px) {
	.act-content {
		flex-direction: column-reverse;
	}
	.act-content > p {
		margin: 0 auto;
	}
	.act-content img {
		height: auto;
		max-width: 100%;
	}
}